using FluentValidation;

namespace Indotalent.Features.Sales.SalesOrder.Cqrs;

public class UpdateSalesOrderValidator : AbstractValidator<UpdateSalesOrderRequest>
{
    public UpdateSalesOrderValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.CustomerId).NotEmpty().WithMessage("Customer is required");
    }
}